require "active_support/core_ext/hash"
require "tallty_import_export/version"
require 'axlsx'
require 'redis'
require 'tallty_form'

module TalltyImportExport
  extend ActiveSupport::Autoload

  autoload :Common
  autoload :Exportable
  autoload :Export
  autoload :Importable
  autoload :Import
  autoload :Context
  autoload :FormConvert
  autoload :Excel

  class Error < StandardError; end

  def self.redis
    @redis ||= Redis.new
  end

  def self.redis=(redis)
    @redis = redis
  end
end
